%define name gnome-screensaver
%define version 2.18.0
%define release %mkrel 1

Summary: GNOME Screensaver
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Source1: mandriva-slideshow.desktop
# (fc) 0.0.20-2mdk enable user switching
Patch1: gnome-screensaver-0.0.20-userswitching.patch
# (fc) 2.15.7-2mdv allow sort images list
Patch2: gnome-screensaver-2.17.4-sort.patch
# (fc) 2.15.7-2mdv allow solid background for images
Patch3: gnome-screensaver-2.17.5-solidbg.patch
# (fc) 2.15.7-2mdv change default settings
Patch4: gnome-screensaver-2.15.7-default.patch

License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnome-menu-devel
BuildRequires: libgnomekbd-devel
BuildRequires: libxmu-devel
BuildRequires: libexif-devel
BuildRequires: libmesagl-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxxf86misc-devel
BuildRequires: libxxf86vm-devel
BuildRequires: dbus-devel >= 0.30
BuildRequires: pam-devel
BuildRequires: gdm
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: desktop-file-utils
Requires: libxslt-proc
Requires: dbus-x11

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

        * the ability to lock down configuration settings
        * translation into other languages
        * user switching

%prep
%setup -q
%patch1 -p1 -b .userswitching
%patch2 -p1 -b .sort
%patch3 -p1 -b .solidbg
%patch4 -p1 -b .default

%build
%configure2_5x --disable-more-warnings --with-xscreensaverdir=%{_datadir}/xscreensaver/config --with-xscreensaverhackdir=%{_libdir}/xscreensaver
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

sed -ie 's@XSL=${DIST_BIN}/xscreensaver-config.xsl@XSL=%{_datadir}/gnome-screensaver/xscreensaver-config.xsl@' \
        data/migrate-xscreensaver-config.sh
sed -ie 's@b=`basename ${FILE} .xml`@b=xscreensaver-`basename ${FILE} .xml`@' \
        data/migrate-xscreensaver-config.sh

install -m755 data/migrate-xscreensaver-config.sh $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
install -m644 data/xscreensaver-config.xsl $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver

install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/screensavers

#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/gnome-screensaver-preferences" \
	needs="gnome" \
	section="System/Configuration/GNOME" \
	icon="screensaver" \
	title="Screensaver" \
	longtitle="Set your screensaver preferences" \
	startup_notify="true" \
	xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %name

%define schemas %name

%post
%update_menus
%post_install_gconf_schemas %{schemas}

%triggerin -- xscreensaver-base xscreensaver-gl xscreensaver-extrusion xscreensaver-matrix
(  cd %{_datadir}/applications/screensavers ; \
  for f in %{_datadir}/xscreensaver/config/*.xml; do
    %{_datadir}/gnome-screensaver/migrate-xscreensaver-config.sh $f > /dev/null 2>&1
  done)

%triggerun -- xscreensaver-base
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-base | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-gl
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-gl | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-extrusion
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-extrusion | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-matrix
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-matrix | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)



%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%config(noreplace) %_sysconfdir/xdg/menus/gnome-screensavers.menu
%config(noreplace) %_sysconfdir/pam.d/gnome-screensaver
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/*
%_libexecdir/gnome-screensaver-dialog
%_libexecdir/gnome-screensaver-gl-helper
%_libdir/%name
%_datadir/desktop-directories/gnome-screensaver.directory
%_datadir/applications/gnome-screensaver-preferences.desktop
%_datadir/applications/screensavers
%_datadir/pixmaps/backgrounds/cosmos
%_datadir/pixmaps/*.svg
%_datadir/%name/
%_libdir/pkgconfig/*.pc
%_menudir/%name


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142051
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2007.1
+ Revision: 126158
- new version
- drop patch 5

* Fri Feb 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.7-2mdv2007.1
+ Revision: 121728
-Patch5 (SVN): fix locking

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.7-1mdv2007.1
+ Revision: 120224
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 111993
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106280
- new version
- rediff patch 3

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 100781
- new version
- rediff patch 2

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 90932
- bump release
- fix buildrequires
- new version

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-4mdv2007.1
+ Revision: 88297
- buildrequires
- bot rebuild
- bot rebuild
- new version
- depend on libgnomekbd

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 86432
- bot rebuild
- new version
- unpack patches
- Import gnome-screensaver



* Mon Oct  9 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- fix buildrequires
- New version 2.16.1

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Fix xdg menu
- run remove trigger only when uninstalling xscreensaver packages

* Tue Sep  5 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch 5
- New release 2.16.0

* Mon Sep 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.7-3mdv2007.0
- Patch5: various cvs fixes
- Move back xdg file to /etc/xdg, fix Mdv bug #25172

* Mon Aug 28 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.7-2mdv2007.0
- Patch2: allow to disable image randomization
- Patch3: allow solid background for images
- add mandriva screensaver
- Patch4: change default settings (don't lock, mandriva default screensaver)

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- New release 2.15.7

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- New release 2.15.6

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- New release 2.15.5

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- update file list
- New release 2.15.4

* Wed Jul 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-4mdv2007.0
- Add dependency on dbus-x11 (Mdv bug #23527)

* Fri Jun 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-3mdv2007.0
- Switch to XDG menu
- use new macros
- add support for xscreensaver hacks (Fedora)
- Patch2: add xscreensaver .desktop location

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix buildrequires

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 28 2006 Gtz Waschk <waschk@mandriva.org> 2.13.92-1mdk
- update file list
- New release 2.13.92

* Wed Feb 15 2006 Götz Waschk <waschk@mandriva.org> 2.13.91-1mdk
- New release 2.13.91

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 2.13.90-1mdk
- New release 2.13.90

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 2.13.5-3mdk
- drop Patch0 (pam_stack), we don't have an obsolete pam anymore

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 2.13.5-2mdk
- rebuild for new dbus

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5

* Thu Jan 05 2006 Götz Waschk <waschk@mandriva.org> 0.0.24-1mdk
- New release 0.0.24

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 0.0.23-2mdk
- fix buildrequires

* Mon Dec 19 2005 Gtz Waschk <waschk@mandriva.org> 0.0.23-1mdk
- update file list
- New release 0.0.23

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 0.0.22-1mdk
- New release 0.0.22

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 0.0.21-1mdk
- New release 0.0.21
- use mkrel

* Tue Nov 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.20-2mdk
- Patch1: enable user switching by default
- remove gdm dependency
- move menu file to the right location

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.0.20-1mdk
- New release 0.0.20

* Tue Nov 15 2005 Götz Waschk <waschk@mandriva.org> 0.0.19-1mdk
- New release 0.0.19

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 0.0.18-1mdk
- New release 0.0.18

* Wed Oct 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.17-3mdk
- fix pam configuration (bug #19456)

* Tue Oct 25 2005 Gtz Waschk <waschk@mandriva.org> 0.0.17-2mdk
- fix buildrequires

* Tue Oct 25 2005 Gtz Waschk <waschk@mandriva.org> 0.0.17-1mdk
- New release 0.0.17
- update file list
- bump deps

* Wed Jun  8 2005 Götz Waschk <waschk@mandriva.org> 0.0.6-0.20050608.1mdk
- initial package
